# Get Inventory Levels Grouped By Lot GET https://api.shipbob.com/2025-07/inventory-level/{inventoryId}/lots Reference: https://developer.shipbob.com/api/inventory/get-inventory-levels-grouped-by-lot ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2025-07 version: 1.0.0 paths: /2025-07/inventory-level/{inventoryId}/lots: get: operationId: get-inventory-levels-grouped-by-lot summary: |2 Get Inventory Levels Grouped By Lot tags: - subpackage_inventory parameters: - name: inventoryId in: path description: '' required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/Inventory.InventoryQuantityLotResponse' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/Inventory.ProblemDetails' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/Inventory.ProblemDetails' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/Inventory.ProblemDetails' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/Inventory.ProblemDetails' '500': description: Internal Server Error content: application/json: schema: description: Any type '503': description: Service Unavailable content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Inventory.FulfillableQuantityByFulfillmentCenter: type: object properties: awaiting_quantity: type: integer committed_quantity: type: integer fulfillable_quantity: type: integer internal_transfer_quantity: type: integer location_id: type: integer name: type: - string - 'null' on_hand_quantity: type: integer title: Inventory.FulfillableQuantityByFulfillmentCenter Inventory.Lots: type: object properties: awaiting_quantity: type: integer committed_quantity: type: integer fulfillable_quantity: type: integer internal_transfer_quantity: type: integer locations: type: - array - 'null' items: $ref: >- #/components/schemas/Inventory.FulfillableQuantityByFulfillmentCenter lot_date: type: - string - 'null' format: date-time lot_number: type: - string - 'null' on_hand_quantity: type: integer title: Inventory.Lots Inventory.InventoryQuantityLotResponse: type: object properties: inventory_id: type: integer lots: type: - array - 'null' items: $ref: '#/components/schemas/Inventory.Lots' name: type: - string - 'null' sku: type: - string - 'null' title: Inventory.InventoryQuantityLotResponse Inventory.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Inventory.ProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Inventory_getInventoryLevelsGroupedByLot_example import requests url = "https://api.shipbob.com/2025-07/inventory-level/inventoryId/lots" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Inventory_getInventoryLevelsGroupedByLot_example const url = 'https://api.shipbob.com/2025-07/inventory-level/inventoryId/lots'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Inventory_getInventoryLevelsGroupedByLot_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2025-07/inventory-level/inventoryId/lots" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Inventory_getInventoryLevelsGroupedByLot_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2025-07/inventory-level/inventoryId/lots") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Inventory_getInventoryLevelsGroupedByLot_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2025-07/inventory-level/inventoryId/lots") .header("Authorization", "Bearer ") .asString(); ``` ```php Inventory_getInventoryLevelsGroupedByLot_example request('GET', 'https://api.shipbob.com/2025-07/inventory-level/inventoryId/lots', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Inventory_getInventoryLevelsGroupedByLot_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2025-07/inventory-level/inventoryId/lots"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Inventory_getInventoryLevelsGroupedByLot_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/inventory-level/inventoryId/lots")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```